%global srcname vspk

Name:           python-%{srcname}
Version:        5.3.2
Release:        2%{?dist}
Summary:        SDK for the VSD API

License:        BSD-3-Clause
URL:            http://nuagenetworks.net/
Source0:        https://files.pythonhosted.org/packages/source/v/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global vspk_desc \
VSPK-PythonVSPK-Python is a Python SDK for Nuage VSP Platform

%description
%{vspk_desc}

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        SDK for the VSD API
Requires:       python%{python3_pkgversion}-bambou >= 2.0
Requires:       python%{python3_pkgversion}-colorama
Requires:       python%{python3_pkgversion}-tabulate

%description -n python%{python3_pkgversion}-%{srcname}
%{vspk_desc}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/vsd
%{_prefix}/vspk
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%changelog
* Mon Mar 25 2019 Satoe Imaishi <simaishi@redhat.com> - 5.3.2-2
- Initial build for cfme-5.11
